CVE-2018-16850

postgresql before versions 11.1, 10.6 is vulnerable to a to SQL injection in pg_upgrade and pg_dump via CREATE TRIGGER ... REFERENCING. Using a purpose-crafted trigger definition, an attacker can cause arbitrary SQL statements to run, with superuser privileges.

Published : 2018-11-13 15:29 Updated : 2019-10-09 23:36

7.5
CVSS Score More info
Score 7.5 / 10
7.5
Vendor Product Version URI
Postgresql Postgresql 9.3.0 cpe:/a:postgresql:postgresql:9.3.0
Postgresql Postgresql 9.3.1 cpe:/a:postgresql:postgresql:9.3.1
Postgresql Postgresql 9.3.2 cpe:/a:postgresql:postgresql:9.3.2
Postgresql Postgresql 9.3.3 cpe:/a:postgresql:postgresql:9.3.3
Postgresql Postgresql 9.3.4 cpe:/a:postgresql:postgresql:9.3.4
Postgresql Postgresql 9.3.5 cpe:/a:postgresql:postgresql:9.3.5
Postgresql Postgresql 9.3.6 cpe:/a:postgresql:postgresql:9.3.6
Postgresql Postgresql 9.3.7 cpe:/a:postgresql:postgresql:9.3.7
Postgresql Postgresql 9.3.8 cpe:/a:postgresql:postgresql:9.3.8
Postgresql Postgresql 9.3.9 cpe:/a:postgresql:postgresql:9.3.9
Postgresql Postgresql 9.3.10 cpe:/a:postgresql:postgresql:9.3.10
Postgresql Postgresql 9.3.11 cpe:/a:postgresql:postgresql:9.3.11
Postgresql Postgresql 9.3.12 cpe:/a:postgresql:postgresql:9.3.12
Postgresql Postgresql 9.3.13 cpe:/a:postgresql:postgresql:9.3.13
Postgresql Postgresql 9.3.14 cpe:/a:postgresql:postgresql:9.3.14
Postgresql Postgresql 9.3.15 cpe:/a:postgresql:postgresql:9.3.15
Postgresql Postgresql 9.3.16 cpe:/a:postgresql:postgresql:9.3.16
Postgresql Postgresql 9.3.17 cpe:/a:postgresql:postgresql:9.3.17
Postgresql Postgresql 9.3.18 cpe:/a:postgresql:postgresql:9.3.18
Postgresql Postgresql 9.3.19 cpe:/a:postgresql:postgresql:9.3.19
Postgresql Postgresql 9.3.20 cpe:/a:postgresql:postgresql:9.3.20
Postgresql Postgresql 9.3.21 cpe:/a:postgresql:postgresql:9.3.21
Postgresql Postgresql 9.3.22 cpe:/a:postgresql:postgresql:9.3.22
Postgresql Postgresql 9.4.0 cpe:/a:postgresql:postgresql:9.4.0
Postgresql Postgresql 9.4.1 cpe:/a:postgresql:postgresql:9.4.1
Postgresql Postgresql 9.4.2 cpe:/a:postgresql:postgresql:9.4.2
Postgresql Postgresql 9.4.3 cpe:/a:postgresql:postgresql:9.4.3
Postgresql Postgresql 9.4.4 cpe:/a:postgresql:postgresql:9.4.4
Postgresql Postgresql 9.4.5 cpe:/a:postgresql:postgresql:9.4.5
Postgresql Postgresql 9.4.6 cpe:/a:postgresql:postgresql:9.4.6
Postgresql Postgresql 9.4.7 cpe:/a:postgresql:postgresql:9.4.7
Postgresql Postgresql 9.4.8 cpe:/a:postgresql:postgresql:9.4.8
Postgresql Postgresql 9.4.9 cpe:/a:postgresql:postgresql:9.4.9
Postgresql Postgresql 9.4.10 cpe:/a:postgresql:postgresql:9.4.10
Postgresql Postgresql 9.4.11 cpe:/a:postgresql:postgresql:9.4.11
Postgresql Postgresql 9.4.12 cpe:/a:postgresql:postgresql:9.4.12
Postgresql Postgresql 9.4.13 cpe:/a:postgresql:postgresql:9.4.13
Postgresql Postgresql 9.4.14 cpe:/a:postgresql:postgresql:9.4.14
Postgresql Postgresql 9.4.15 cpe:/a:postgresql:postgresql:9.4.15
Postgresql Postgresql 9.4.16 cpe:/a:postgresql:postgresql:9.4.16
Postgresql Postgresql 9.5.0 cpe:/a:postgresql:postgresql:9.5.0
Postgresql Postgresql 9.5.1 cpe:/a:postgresql:postgresql:9.5.1
Postgresql Postgresql 9.5.2 cpe:/a:postgresql:postgresql:9.5.2
Postgresql Postgresql 9.5.3 cpe:/a:postgresql:postgresql:9.5.3
Postgresql Postgresql 9.5.4 cpe:/a:postgresql:postgresql:9.5.4
Postgresql Postgresql 9.5.5 cpe:/a:postgresql:postgresql:9.5.5
Postgresql Postgresql 9.5.6 cpe:/a:postgresql:postgresql:9.5.6
Postgresql Postgresql 9.5.7 cpe:/a:postgresql:postgresql:9.5.7
Postgresql Postgresql 9.5.8 cpe:/a:postgresql:postgresql:9.5.8
Postgresql Postgresql 9.5.9 cpe:/a:postgresql:postgresql:9.5.9
Postgresql Postgresql 9.5.10 cpe:/a:postgresql:postgresql:9.5.10
Postgresql Postgresql 9.5.11 cpe:/a:postgresql:postgresql:9.5.11
Postgresql Postgresql 9.6.0 cpe:/a:postgresql:postgresql:9.6.0
Postgresql Postgresql 9.6.1 cpe:/a:postgresql:postgresql:9.6.1
Postgresql Postgresql 9.6.2 cpe:/a:postgresql:postgresql:9.6.2
Postgresql Postgresql 9.6.3 cpe:/a:postgresql:postgresql:9.6.3
Postgresql Postgresql 9.6.4 cpe:/a:postgresql:postgresql:9.6.4
Postgresql Postgresql 9.6.5 cpe:/a:postgresql:postgresql:9.6.5
Postgresql Postgresql 9.6.6 cpe:/a:postgresql:postgresql:9.6.6
Postgresql Postgresql 9.6.7 cpe:/a:postgresql:postgresql:9.6.7
Postgresql Postgresql 9.6.8 cpe:/a:postgresql:postgresql:9.6.8
Postgresql Postgresql 9.6.9 cpe:/a:postgresql:postgresql:9.6.9
Postgresql Postgresql 10.0 cpe:/a:postgresql:postgresql:10.0
Postgresql Postgresql 10.1 cpe:/a:postgresql:postgresql:10.1
Postgresql Postgresql 10.2 cpe:/a:postgresql:postgresql:10.2
Postgresql Postgresql 10.3 cpe:/a:postgresql:postgresql:10.3
Postgresql Postgresql 10.4 cpe:/a:postgresql:postgresql:10.4
Canonical Ubuntu Linux 18.04 cpe:/o:canonical:ubuntu_linux:18.04::~~lts~~~
Canonical Ubuntu Linux 18.10 cpe:/o:canonical:ubuntu_linux:18.10
Redhat Enterprise Linux 7.0 cpe:/o:redhat:enterprise_linux:7.0
Redhat Enterprise Linux 7.4 cpe:/o:redhat:enterprise_linux:7.4
Redhat Enterprise Linux 7.5 cpe:/o:redhat:enterprise_linux:7.5
Redhat Enterprise Linux 7.6 cpe:/o:redhat:enterprise_linux:7.6
Postgresql Postgresql 9.3.23 cpe:/a:postgresql:postgresql:9.3.23
Postgresql Postgresql 9.3.24 cpe:/a:postgresql:postgresql:9.3.24
Postgresql Postgresql 9.4.17 cpe:/a:postgresql:postgresql:9.4.17
Postgresql Postgresql 9.4.18 cpe:/a:postgresql:postgresql:9.4.18
Postgresql Postgresql 9.4.19 cpe:/a:postgresql:postgresql:9.4.19
Postgresql Postgresql 9.5.12 cpe:/a:postgresql:postgresql:9.5.12
Postgresql Postgresql 9.5.13 cpe:/a:postgresql:postgresql:9.5.13
Postgresql Postgresql 9.5.14 cpe:/a:postgresql:postgresql:9.5.14
Postgresql Postgresql 9.6.10 cpe:/a:postgresql:postgresql:9.6.10
Postgresql Postgresql 10.5 cpe:/a:postgresql:postgresql:10.5
Postgresql Postgresql 11.0 cpe:/a:postgresql:postgresql:11.0
  1. Canonical (1) Search CVE
    1. Ubuntu Linux (2) Search CVE
      1. 18.04
      2. 18.10
  2. Redhat (1) Search CVE
    1. Enterprise Linux (4) Search CVE
      1. 7.0
      2. 7.4
      3. 7.5
      4. 7.6
  3. Postgresql (1) Search CVE
    1. Postgresql (78) Search CVE
      1. 9.3.0
      2. 9.3.1
      3. 9.3.2
      4. 9.3.3
      5. 9.3.4
      6. 9.3.5
      7. 9.3.6
      8. 9.3.7
      9. 9.3.8
      10. 9.3.9
      11. 9.3.10
      12. 9.3.11
      13. 9.3.12
      14. 9.3.13
      15. 9.3.14
      16. 9.3.15
      17. 9.3.16
      18. 9.3.17
      19. 9.3.18
      20. 9.3.19
      21. 9.3.20
      22. 9.3.21
      23. 9.3.22
      24. 9.4.0
      25. 9.4.1
      26. 9.4.2
      27. 9.4.3
      28. 9.4.4
      29. 9.4.5
      30. 9.4.6
      31. 9.4.7
      32. 9.4.8
      33. 9.4.9
      34. 9.4.10
      35. 9.4.11
      36. 9.4.12
      37. 9.4.13
      38. 9.4.14
      39. 9.4.15
      40. 9.4.16
      41. 9.5.0
      42. 9.5.1
      43. 9.5.2
      44. 9.5.3
      45. 9.5.4
      46. 9.5.5
      47. 9.5.6
      48. 9.5.7
      49. 9.5.8
      50. 9.5.9
      51. 9.5.10
      52. 9.5.11
      53. 9.6.0
      54. 9.6.1
      55. 9.6.2
      56. 9.6.3
      57. 9.6.4
      58. 9.6.5
      59. 9.6.6
      60. 9.6.7
      61. 9.6.8
      62. 9.6.9
      63. 10.0
      64. 10.1
      65. 10.2
      66. 10.3
      67. 10.4
      68. 9.3.23
      69. 9.3.24
      70. 9.4.17
      71. 9.4.18
      72. 9.4.19
      73. 9.5.12
      74. 9.5.13
      75. 9.5.14
      76. 9.6.10
      77. 10.5
      78. 11.0

CWE

ID Name Description Links
CWE-89 Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection') The software constructs all or part of an SQL command using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify the intended SQL command when it is sent to a downstream component. CVE

History of changes

Date Event
2019-10-09 23:36
2018-12-18 17:46
2018-12-03 11:29
2018-11-15 11:29
2018-11-13 15:29

New CVE